Skip to main content
Nowledge MemNowledge Mem

Start Augmentation Job

POST
/graph/augmentation/start

Start a background graph analysis job.

Supported job types:

  • community_detection group related entities into topic clusters.
  • community_summary_enrichment write missing topic summaries without rebuilding topic structure.
  • pagerank_calculation calculate entity importance scores.
  • undo_community_detection / undo_pagerank_calculation remove previous analysis results.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request model for starting an augmentation job.

Response Body

application/json

application/json

curl -X POST "https://example.com/graph/augmentation/start" \  -H "Content-Type: application/json" \  -d '{    "job_type": "string"  }'
{  "success": true,  "job_id": "string",  "job_type": "string",  "message": "string"}